## hdf5 1.8.15-patch1+docs

=== debian/changelog ===
hdf5 (1.8.15-patch1+docs-5) unstable; urgency=medium

  * Drop back hppa from openmpi enabled architectures because the patch
    from #776730 hasn't been applied yet.
  * New patch hurd-sigsetjmp.patch to temporarily workaround FTBFS on
    hurd-i386 (see #800900).
  * Update .symbols files for ppc64 arch (closes: #800823; thanks to
    Hiroyuki Yamamoto).
  * Don't remove m4/aclocal*.m4 files during clean.

 -- Gilles Filippini <pini@debian.org>  Sat, 31 Oct 2015 15:25:14 +0100

hdf5 (1.8.15-patch1+docs-4) unstable; urgency=medium

  * Upload to unstable.

 -- Gilles Filippini <pini@debian.org>  Wed, 30 Sep 2015 08:07:53 +0200

hdf5 (1.8.15-patch1+docs-3) experimental; urgency=medium

  * Drop explicit Build-Depends on g++ (>= 4:5-0), g++-5 (>= 5.2.1-10)
    now that GCC-5 is the default in unstable.

 -- Gilles Filippini <pini@debian.org>  Sun, 09 Aug 2015 18:45:13 +0200

hdf5 (1.8.15-patch1+docs-2) experimental; urgency=medium

  * Build against g++-5: Build-Depends: g++ (>= 4:5-0), g++-5 (>= 5.2.1-10)
    until g++-5 becomes the default.
  * Update symbols files and version scripts.

 -- Gilles Filippini <pini@debian.org>  Sat, 18 Jul 2015 16:20:15 +0200

hdf5 (1.8.15-patch1+docs-1) experimental; urgency=medium

  * New upstream release:
    - Reverted the change to the H5api_adpt.h (rev. 26678) that caused
      compilation errors for the C++ HDF5 applications. 
      (EIP - 2015/05/28, HDFFV-9384)
  * Improved C++ symbols tracking. See debian/README.source for details.

 -- Gilles Filippini <pini@debian.org>  Fri, 26 Jun 2015 14:55:43 +0200

hdf5 (1.8.15+docs-2) experimental; urgency=medium

  * Update symbols files and version scripts.

 -- Gilles Filippini <pini@debian.org>  Mon, 18 May 2015 21:17:49 +0200

hdf5 (1.8.15+docs-1) experimental; urgency=medium

  * New upstream release.
  * Soname bump due to a non backward compatible C++ API change: two
    overloaded methods have been combined into a single method and one
    constructor has been deprecated.
  * Drop parts of patch ullong_force.diff which were applied upstream.

  * New patch format-not-a-string-literal-and-no-format-arguments.patch
    to fix a couple of build errors raised by "-Werror=format-security".
  * Acknowledge upstream bug number in patch path_max.diff.

 -- Gilles Filippini <pini@debian.org>  Mon, 18 May 2015 16:59:43 +0200

hdf5 (1.8.14+docs-3) experimental; urgency=medium

  * Another bunch of symbol fixes for powerpc.

 -- Gilles Filippini <pini@debian.org>  Thu, 02 Apr 2015 19:50:01 +0200

hdf5 (1.8.14+docs-2) experimental; urgency=medium

  * debian/control: drop libhdf5-mpich2-* transitional packages.
  * Fix helper script debian/sort-symbols to workaround bug #773718
    against dpkg-dev (dpkg-gensymbols).
  * Add hppa to openmpi enabled architectures (closes: #776845).
  * Rework path_max.diff patch to call realpath() the POSIX way.
  * Fix FTBFS on powerpc due to a few missing generated symbols.
    They are now prefixed with '(arch!=powerpc)' in their .symbols
    file.

 -- Gilles Filippini <pini@debian.org>  Wed, 01 Apr 2015 22:47:47 +0200

hdf5 (1.8.14+docs-1) experimental; urgency=medium

  * New upstream release.
  * soname bump due to the renaming of several public symbols in
    H5Ppublic.h.

  * Drop patches (issues fixed upstream):
    - soname.diff
    - HDFFV-8917.patch
  * Definitely drop previously de-activated patches:
    - mpi.diff
    - skip_cxx_inclusion.diff
  * Refresh patches:
    - flavor-configure-option.patch
    - path_max.diff

  * Bump Standards-Version to 3.9.6 (no changes).

 -- Gilles Filippini <pini@debian.org>  Mon, 22 Dec 2014 18:47:47 +0100
